Get Card Transactions
curl --request GET \
--url https://api.payvessel.com/pms/api/external/request/virtual-cards/{card_id}/transactions/ \
--header 'api-key: <api-key>' \
--header 'api-secret: <api-secret>'import requests
url = "https://api.payvessel.com/pms/api/external/request/virtual-cards/{card_id}/transactions/"
headers = {
"api-key": "<api-key>",
"api-secret": "<api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>', 'api-secret': '<api-secret>'}};
fetch('https://api.payvessel.com/pms/api/external/request/virtual-cards/{card_id}/transactions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ref_id": "<string>",
"amount": "<string>",
"currency": "<string>",
"merchant": "<string>",
"status": "<string>",
"type": "<string>",
"description": "<string>",
"fee": "<string>",
"settled": true,
"date": "2023-11-07T05:31:56Z",
"created_datetime": "2023-11-07T05:31:56Z"
}
]
}{
"error": 401,
"message": "Unauthorized. Please check your API key."
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Issuing
Get Card Transactions
Transaction history for a virtual card
GET
/
pms
/
api
/
external
/
request
/
virtual-cards
/
{card_id}
/
transactions
/
Get Card Transactions
Headers
Your Payvessel public API key
Your Payvessel secret
Path Parameters
PayVessel card ID
Query Parameters
Max rows (default 50, max 100)
Required range:
x <= 100⌘I
